﻿@model SportsClub.Areas.Dashboard.Models.SeasonProgramInfoSettingViewModel
@{
    Layout = null;
}

<div class="view-container">

    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='SeasonSchoolSettingRegistrationInfo({seasonDomain: MC.stateParams.seasonDomain})'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Program Information
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate>

        <fieldset>
            <legend>Programs</legend>
            <label>Season programs starts on</label>
            <div @Html.AngValidationClassFor(model => model.StartDate) class="input-control date-time">
                <input @Html.AngTooltipValidationFor(model => model.StartDate) kendo-date-picker ng-model="@Html.Ang(m => m.StartDate)" @Html.AngTooltipValidationFor(model => model.StartDate) k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
            </div>
            <div class="clearfix"></div>

            <label>Season programs ends on</label>
            <div @Html.AngValidationClassFor(model => model.EndDate) class="input-control date-time">
                <input @Html.AngTooltipValidationFor(model => model.EndDate) kendo-date-picker ng-model="@Html.Ang(m => m.EndDate)" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
            </div>
            <div class="clearfix"></div>
        </fieldset>

        <fieldset>
            <legend>General registration</legend>
            <div>
                <div class="one-half place-left" style="padding-right: 20px">
                    <label for="">General registration opens</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.GeneralRegistrationOpenDate)>
                        <div @Html.AngTooltipValidationFor(model => model.GeneralRegistrationOpenDate)>
                            <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="@Html.Ang(model => model.GeneralRegistrationOpenDate)" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                        </div>
                    </div>
                </div>

                <div class="one-half place-left">
                    <label for="">Time</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.GeneralRegistrationOpenTime)>
                        <div @Html.AngTooltipValidationFor(model => model.GeneralRegistrationOpenTime)>
                            <input ng-model="@Html.Ang(m => m.GeneralRegistrationOpenTime)" k-options="MC.timePickerOptionsAllTime5MinInterval59" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker />
                        </div>
                    </div>
                </div>
            </div>


            <div>
                <div class="one-half place-left" style="padding-right: 20px">
                    <label for="">General registration closes</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.GeneralRegistrationCloseDate)>
                        <div @Html.AngTooltipValidationFor(model => model.GeneralRegistrationCloseDate)>
                            <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="@Html.Ang(model => model.GeneralRegistrationCloseDate)" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                        </div>
                    </div>
                </div>

                <div class="one-half place-left">
                    <label for="">Time</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.GeneralRegistrationCloseTime)>
                        <div @Html.AngTooltipValidationFor(model => model.GeneralRegistrationCloseTime)>
                            <input ng-model="@Html.Ang(m => m.GeneralRegistrationCloseTime)" k-options="MC.timePickerOptionsAllTime5MinInterval59" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker />
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-change="changePIN()" ng-model="@Html.Ang(model => model.HasGeneralRegisterPIN)" type="checkbox">
                        <span class="check"></span>
                        Restrict access with a password
                    </label>
                </div>
                <div id="earlyRegisterPin" ng-show="Model.HasGeneralRegisterPIN">
                    <label class="req-star">Password</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.GeneralRegisterPIN)>
                        <input ng-model="@Html.Ang(model => model.GeneralRegisterPIN)" name="Name" type="text" placeholder="" @Html.AngTooltipValidationFor(model => model.GeneralRegisterPIN) />
                    </div>
                </div>
                <div ng-show="Model.HasGeneralRegisterPIN">
                    <label class="req-star">Restriction message</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.GeneralRegisterPINMessage)>
                        <input ng-model="@Html.Ang(model => model.GeneralRegisterPINMessage)" name="Name" type="text" placeholder="" @Html.AngTooltipValidationFor(model => model.GeneralRegisterPINMessage) />
                    </div>
                </div>
            </div>
        </fieldset>


        <div class="input-control checkbox" data-role="input-control">
            <label>
                <input ng-model="@Html.Ang(model => model.HasEarlyRegistration)" type="checkbox">
                <span class="check"></span>
                <span class="large_bold_black">
                    Enable early registration
                </span>
            </label>
        </div>

        <fieldset ng-show="Model.HasEarlyRegistration">
            <legend>Early registration</legend>
            <div>
                <div class="one-half place-left" style="padding-right: 20px">
                    <label class="req-star" for="">Early registration opens</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.EarlyRegistrationOpenDate)>
                        <div @Html.AngTooltipValidationFor(model => model.EarlyRegistrationOpenDate)>
                            <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="@Html.Ang(model => model.EarlyRegistrationOpenDate)" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                        </div>
                    </div>
                </div>

                <div class="one-half place-left">
                    <label class="req-star" for="">Time</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.EarlyRegistrationOpenTime)>
                        <div @Html.AngTooltipValidationFor(model => model.EarlyRegistrationOpenTime)>
                            <input ng-model="@Html.Ang(m => m.EarlyRegistrationOpenTime)" k-options="MC.timePickerOptionsAllTime5MinInterval59" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker />
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="one-half place-left" style="padding-right: 20px">
                    <label class="req-star" for="">Early registration closes</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.EarlyRegistrationCloseDate)>
                        <div @Html.AngTooltipValidationFor(model => model.EarlyRegistrationCloseDate)>
                            <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="@Html.Ang(model => model.EarlyRegistrationCloseDate)" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                        </div>
                    </div>
                </div>

                <div class="one-half place-left">
                    <label class="req-star" for="">Time</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.EarlyRegistrationCloseTime)>
                        <div @Html.AngTooltipValidationFor(model => model.EarlyRegistrationCloseTime)>
                            <input ng-model="@Html.Ang(m => m.EarlyRegistrationCloseTime)" k-options="MC.timePickerOptionsAllTime5MinInterval59" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker />
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-change="changePIN()" ng-model="@Html.Ang(model => model.HasEarlyRegisterPIN)" type="checkbox">
                        <span class="check"></span>
                        Restrict access with a password
                    </label>
                </div>
                <div id="earlyRegisterPin" ng-show="Model.HasEarlyRegisterPIN">
                    <label class="req-star">Password</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.EarlyRegisterPIN)>
                        <input ng-model="@Html.Ang(model => model.EarlyRegisterPIN)" name="Name" type="text" placeholder="" @Html.AngTooltipValidationFor(model => model.EarlyRegisterPIN) />
                    </div>
                </div>
                <div ng-show="Model.HasEarlyRegisterPIN">
                    <label class="req-star">Restriction message</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.EarlyRegisterPINMessage)>
                        <input ng-model="@Html.Ang(model => model.EarlyRegisterPINMessage)" name="Name" type="text" placeholder="" @Html.AngTooltipValidationFor(model => model.EarlyRegisterPINMessage) />
                    </div>
                </div>
            </div>
        </fieldset>

        <div class="clearfix"></div>
        <div class="input-control checkbox" data-role="input-control">
            <label>
                <input ng-model="@Html.Ang(model => model.HasLateRegistration)" type="checkbox">
                <span class="check"></span>
                Enable late registration
            </label>
        </div>

        <fieldset ng-show="Model.HasLateRegistration">
            <legend>Late registration</legend>
            <div>
                <div class="one-half place-left" style="padding-right: 20px">
                    <label class="req-star" for="">Late registration opens</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.LateRegistrationOpenDate)>
                        <div @Html.AngTooltipValidationFor(model => model.LateRegistrationOpenDate)>
                            <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="@Html.Ang(model => model.LateRegistrationOpenDate)" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                        </div>
                    </div>
                </div>

                <div class="one-half place-left">
                    <label class="req-star" for="">Time</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.LateRegistrationOpenTime)>
                        <div @Html.AngTooltipValidationFor(model => model.LateRegistrationOpenTime)>
                            <input ng-model="@Html.Ang(m => m.LateRegistrationOpenTime)" k-options="MC.timePickerOptionsAllTime5MinInterval59" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker />
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="one-half place-left" style="padding-right: 20px">
                    <label class="req-star" for="">Late registration closes</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.LateRegistrationCloseDate)>
                        <div @Html.AngTooltipValidationFor(model => model.LateRegistrationCloseDate)>
                            <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="@Html.Ang(model => model.LateRegistrationCloseDate)" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                        </div>
                    </div>
                </div>

                <div class="one-half place-left">
                    <label class="req-star" for="">time</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.LateRegistrationCloseTime)>
                        <div @Html.AngTooltipValidationFor(model => model.LateRegistrationCloseTime)>
                            <input ng-model="@Html.Ang(m => m.LateRegistrationCloseTime)" k-options="MC.timePickerOptionsAllTime5MinInterval59" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker />
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-change="changePIN()" ng-model="@Html.Ang(model => model.HasLateRegisterPIN)" type="checkbox">
                        <span class="check"></span>
                        Restrict access with a password
                    </label>
                </div>
                <div id="earlyRegisterPin" ng-show="Model.HasLateRegisterPIN">
                    <label class="req-star">Password</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.LateRegisterPIN)>
                        <input ng-model="@Html.Ang(model => model.LateRegisterPIN)" name="Name" type="text" placeholder="" @Html.AngTooltipValidationFor(model => model.LateRegisterPIN) />
                    </div>
                </div>
                <div ng-show="Model.HasLateRegisterPIN">
                    <label class="req-star">Restriction message</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.LateRegisterPINMessage)>
                        <input ng-model="@Html.Ang(model => model.LateRegisterPINMessage)" name="Name" type="text" placeholder="" @Html.AngTooltipValidationFor(model => model.LateRegisterPINMessage) />
                    </div>
                </div>
            </div>

            <div class="clearfix">
                <div class="place-left padding-right20">
                    <div class="input-control checkbox" data-role="input-control">
                        <label>
                            <input ng-model="@Html.Ang(model => model.EnableLateRegistrationFee)" type="checkbox">
                            <span class="check"></span>
                            Enable late registration charge
                        </label>
                    </div>
                </div>
                <br />
                <div class="clearfix"></div>
                <div ng-show="@Html.Ang(model => model.EnableLateRegistrationFee)">
                    <label class="req-star">Late registration charge</label>
                    <div class="input-control text" data-sign="$" data-role="input-control" @Html.AngValidationClassFor(model => model.LateRegistrationFee)>
                        <input class="k-textbox" ng-model="@Html.Ang(model => model.LateRegistrationFee)" type="text" @Html.AngTooltipValidationFor(model => model.LateRegistrationFee)>
                    </div>
                    <br />

                    <label>Late registration label</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.LateRegistrationFeeMessage)>
                        <input class="k-textbox" ng-model="@Html.Ang(model => model.LateRegistrationFeeMessage)" type="text" @Html.AngTooltipValidationFor(model => model.LateRegistrationFeeMessage)>
                    </div>
                </div>
            </div>

        </fieldset>

        <div class="clearfix"></div>
        <div class="input-control checkbox" data-role="input-control">
            <label>
                <input ng-model="@Html.Ang(model => model.HasPreRegistration)" type="checkbox">
                <span class="check"></span>
                Enable pre registration
            </label>
        </div>

        <fieldset ng-show="Model.HasPreRegistration">
            <legend>Pre registration</legend>
            <div>
                <div class="one-half place-left" style="padding-right: 20px">
                    <label class="req-star" for="">Pre registration opens</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.PreRegistrationOpenDate)>
                        <div @Html.AngTooltipValidationFor(model => model.PreRegistrationOpenDate)>
                            <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="@Html.Ang(model => model.PreRegistrationOpenDate)" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                        </div>
                    </div>
                </div>

                <div class="one-half place-left">
                    <label class="req-star" for="">Time</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.PreRegistrationOpenTime)>
                        <div @Html.AngTooltipValidationFor(model => model.PreRegistrationOpenTime)>
                            <input ng-model="@Html.Ang(m => m.PreRegistrationOpenTime)" k-options="MC.timePickerOptionsAllTime5MinInterval59" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker />
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="one-half place-left" style="padding-right: 20px">
                    <label class="req-star" for="">Pre registration closes</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.PreRegistrationCloseDate)>
                        <div @Html.AngTooltipValidationFor(model => model.PreRegistrationCloseDate)>
                            <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="@Html.Ang(model => model.PreRegistrationCloseDate)" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                        </div>
                    </div>
                </div>

                <div class="one-half place-left">
                    <label class="req-star" for="">Time</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.PreRegistrationCloseTime)>
                        <div @Html.AngTooltipValidationFor(model => model.PreRegistrationCloseTime)>
                            <input ng-model="@Html.Ang(m => m.PreRegistrationCloseTime)" k-options="MC.timePickerOptionsAllTime5MinInterval59" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker />
                        </div>
                    </div>
                </div>
            </div>

        </fieldset>


        <div class="clearfix"></div>
        <div class="input-control checkbox" data-role="input-control">
            <label>
                <input ng-model="@Html.Ang(model => model.HasLottery)" type="checkbox">
                <span class="check"></span>
                Enable lottery
            </label>
        </div>

        <fieldset ng-show="Model.HasLottery">
            <legend>Lottery</legend>
            <div>
                <div class="one-half place-left" style="padding-right: 20px">
                    <label class="req-star" for="">Lottery opens</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.LotteryOpenDate)>
                        <div @Html.AngTooltipValidationFor(model => model.LotteryOpenDate)>
                            <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="@Html.Ang(model => model.LotteryOpenDate)" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                        </div>
                    </div>
                </div>

                <div class="one-half place-left">
                    <label class="req-star" for="">Time</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.LotteryOpenTime)>
                        <div @Html.AngTooltipValidationFor(model => model.LotteryOpenTime)>
                            <input ng-model="@Html.Ang(m => m.LotteryOpenTime)" k-options="MC.timePickerOptionsAllTime5MinInterval59" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker />
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="one-half place-left" style="padding-right: 20px">
                    <label class="req-star" for="">Lottery closes</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.LotteryCloseDate)>
                        <div @Html.AngTooltipValidationFor(model => model.LotteryCloseDate)>
                            <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="@Html.Ang(model => model.LotteryCloseDate)" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                        </div>
                    </div>
                </div>

                <div class="one-half place-left">
                    <label class="req-star" for="">Time</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.LotteryCloseTime)>
                        <div @Html.AngTooltipValidationFor(model => model.LotteryCloseTime)>
                            <input ng-model="@Html.Ang(m => m.LotteryCloseTime)" k-options="MC.timePickerOptionsAllTime5MinInterval59" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker />
                        </div>
                    </div>
                </div>
            </div>

        </fieldset>


        <fieldset>
            <legend>Miscellaneous information</legend>
            <div>
                <div class="one-half place-left" style="padding-right: 20px">
                    <label for="">Rosters due</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.MiscellaneousInformationRostersDueDate)>
                        <div @Html.AngTooltipValidationFor(model => model.MiscellaneousInformationRostersDueDate)>
                            <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="@Html.Ang(model => model.MiscellaneousInformationRostersDueDate)" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                        </div>
                    </div>
                </div>
            </div>


            <div>
                <div class="one-half place-left" style="padding-right: 20px">
                    <label for="">Payments issued</label>
                    <div class="input-control date-time" @Html.AngValidationClassFor(model => model.MiscellaneousInformationPaymentsIssuedDate)>
                        <div @Html.AngTooltipValidationFor(model => model.MiscellaneousInformationPaymentsIssuedDate)>
                            <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="@Html.Ang(model => model.MiscellaneousInformationPaymentsIssuedDate)" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                        </div>
                    </div>
                </div>
            </div>
        </fieldset>

        <div class="clearfix"></div>
        <hr />
        <button ngaction="Season_SchoolSetting_ScheduleInfo_Save" ng-click="save()" class="success large place-right">Save</button>
        <a class="place-left button link large" ui-sref='SeasonSchoolSettingRegistrationInfo({seasonDomain: MC.stateParams.seasonDomain})'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>